import { Flex, Space } from 'antd'
import styles from './index.less'
import ListTabs from '@/pages/Common/components/ListTabs'
import IssueDescription from '@/pages/Common/components/IssueDescription'
import ProcessCard from '@/pages/Common/components/ProcessCard'
import BaseCard from '@/pages/Common/components/BaseCard'
import LineCharts from './LineCharts'
import Tabs from '@/components/Tabs';

const CommonList = () => {

  const changeListTab = () => {

  }

  const onChangeCategory = () => {

  }

  const areas = [
    {
      name: '高新区',
      progress: 50,
      value: 300,
      rate: 30.6
    },
    {
      name: '新都区',
      progress: 50,
      value: 300,
      rate: 30.6
    },
    {
      name: '龙泉驿区',
      progress: 50,
      value: 300,
      rate: 30.6
    }
  ]

  const category = [
    {
      name: '类别一',
      progress: 50,
      value: 300,
      rate: 30.6
    },
    {
      name: '类别二',
      progress: 50,
      value: 300,
      rate: 30.6
    },
    {
      name: '类别三',
      progress: 50,
      value: 300,
      rate: 30.6
    }
  ]

  return (
    <Flex gap={30} className={styles.wrap}>
      <Space direction='vertical' size={15} className={styles.left}>

        <BaseCard
          style={{
            paddingTop: 15
          }}
        >
          <Flex justify='space-between' className={styles.top}>
            <Space direction='vertical' >
              <span>
                <span className={styles.num}>56</span>
                <span>件</span>
              </span>
              <span>处置中</span>
            </Space>
            <Space direction='vertical' >
              <span>
                <span className={styles.num}>56</span>
                <span>件</span>
              </span>
              <span>已办结</span>
            </Space>
            <Space direction='vertical' >
              <span>
                <span className={styles.num}>89.6</span>
                <span>%</span>
              </span>
              <span>办结率</span>
            </Space>
          </Flex>
        </BaseCard>

        <BaseCard
          title='趋势（近30天）'
          style={{
            paddingTop: 20
          }}
        >
          <div style={{ padding: '15px' }}>
            <LineCharts />
          </div>
        </BaseCard>

        <ProcessCard
          title='高发类别'
          extra={
            <Tabs
              style={{
                background: 'transparent',
                height: '30px'
              }}
              itemStyle={{
                borderRadius: '25px',
                background: 'rgba(7, 50, 93, 0.8)',
                fontSize: '16px',
                marginLeft: 8
              }}
              onChange={onChangeCategory}
              itemkey={'key'}
              items={[
                {
                  key: '1',
                  label: '大类'
                },
                {
                  key: '2',
                  label: '小类'
                },
                {
                  key: '3',
                  label: '细类'
                }
              ]}
            />
          }
          data={category}
          strokeColor={{
            '0%': '#38F2E3',
            '100%': '#3DC3FF',
          }}
        />

        <ProcessCard
          title='高发区域'
          data={areas}
          strokeColor={{
            '0%': '#FFCCCC',
            '100%': '#EEFFEB',
          }}
        />
      </Space>
      <div className={styles.right}>
        <Flex justify='flex-end'>
          <div>
            <ListTabs onChange={changeListTab} />
          </div>
        </Flex>
        <IssueDescription />
      </div>
    </Flex>
  )
}

export default CommonList;