import LineCharts from '@/components/LineCharts';
import styles from './index.less';
import cqi1 from '@/assets/images/urbanSituation/cqi1.png'

const SignLeft = ({ data }: { data: PhysicalsignApi.IndexListItem }) => {
  return (
    <div className={styles.container}>
      <div className={styles.topContent}>
        <img src={cqi1} alt="" className={styles.icon} />
        <div className={styles.count} title={data?.qualitySign as string}>
          {/* {data?.qualitySign} */}
          90.5
        </div>
        <div className={styles.name}>{data?.indexName || '安全'}</div>
        <div className={styles.tag} style={{ backgroundColor: data?.statusColor }}>
          {data?.statusDescription || '理想态'}
        </div>
        <div style={{ marginTop: 20 }}>
          <LineCharts
            data={[100, 50, 60, 70, 50, 40, 50, 60, 40, 40, 80, 30, 40, 100]}
            style={{ width: 200, height: 100 }}
            lineColor="#57EFE5"
            smooth={false}
            colorStops={[
              {
                offset: 0,
                color: 'rgba(87, 239, 229, 0)', // 0% 处的颜色
              },

              {
                offset: 1,
                color: 'rgba(87, 239, 229, 0.36)', // 100% 处的颜色
              },
            ]}
            grid={{
              left: '0%',  // 左边距
              right: '0', // 右边距
              top: '10%',   // 上边距
              bottom: '10%' // 下边距
            }}
          />
        </div>
      </div>
      <div className={styles.bottomContent}>
        <div>
          <img
            src={require('@/assets/images/urbanSituation/sign3.png')}
            alt=""
            className={styles.icon}
          />
          <span className={styles.text}>指标</span>
        </div>
        <div>
          <span className={styles.count}>222</span>
          <span className={styles.text} style={{ verticalAlign: '2px'}}>项</span>
        </div>
      </div>
    </div>
  );
};

export default SignLeft
