import DepartmentSankey from '@/components/DepartmentSankey';
import TreeCharts from '@/components/TreeCharts';
import { Tabs, Flex } from 'antd';
import { useMemo } from 'react';
import IssueDescription from '@/pages/Common/components/IssueDescription';
import SignLeft from './SignLeft';
import SignTop5 from './SignTop';
import styles from './index.less';
const Category = ({ item }: { item: any }) => {
  const tabItems = useMemo(() => {
    return [
      {
        label: `影响体征TOP5`,
        key: '1',
        children: <SignTop5 items={item} />,
      },
      {
        label: `失分溯源`,
        key: '2',
        children: <TreeCharts style={{ height: 600 }} />,
      },
      {
        label: `安全问题`,
        key: '3',
        children: <IssueDescription />,
      },
      {
        label: `指标体系`,
        key: '4',
        children: <TreeCharts style={{ height: 600 }} />,
      },
    ];
  }, [item]);

  return (
    <Flex className={styles.container} gap={30}>
      <SignLeft data={item} />
      <div className={styles.right}>
        <Tabs size="large" defaultActiveKey="1" centered items={tabItems} />
      </div>
    </Flex>
  );
};

export default Category;
