
import { Flex, Space } from 'antd'
import styles from './index.less'
import area1 from '@/assets/images/urbanSituation/area1.png'
import area2 from '@/assets/images/urbanSituation/area2.png'
import area3 from '@/assets/images/urbanSituation/area3.png'
import bg1 from '@/assets/images/urbanSituation/bg1.png'

const Focus = () => {

  const areas = [
    {
      icon: area1,
      name: '天府广场',
      value: 99.9
    },
    {
      icon: area2,
      name: '宽窄巷子',
      value: 99.9
    },
    {
      icon: area3,
      name: '武侯祠',
      value: 99.9
    }
  ]

  const activity = [
    {
      name: '保障资源',
      value: 12,
      unit: '个'
    },
    {
      name: '当前问题',
      value: 12,
      unit: '个'
    },
    {
      name: '处置及时率',
      value: 12,
      unit: '%'
    }
  ]


  return (
    <div className={styles.wrap}>
      <div className={styles.header}>
        <span className={styles.title}>重点关注</span>
      </div>
      <div className={styles.content}>
        <Flex className={styles.sectionTop} justify='space-between'>
          <span>重点区域</span>
          <span>更多</span>
        </Flex>
        <Flex justify='space-between'>
          {
            areas.map((item, index) => (
              <Space direction='vertical' size={10} key={index} className={styles.areaCard}>
                <img src={item.icon} alt='' />
                <div>
                  <div className={styles.name}>{item.name}</div>
                  <div className={styles.value}>{item.value}</div>
                </div>
              </Space>
            ))
          }
        </Flex>
        <Flex className={styles.sectionTop} justify='space-between' style={{ marginTop: 30 }}>
          <span>重大活动保障</span>
          <span>更多</span>
        </Flex>
        <div className={styles.activityWrap}>
          <Flex justify='space-between' >
            {
              activity.map((item, index) => (
                <Flex justify="center" align='center' key={index} className={styles.card}>
                  <div>
                    <Space size={10}>
                      <span className={styles.value}>{item.value}</span>
                      <span>{item.unit}</span>
                    </Space>
                    <div className={styles.name}>{item.name}</div>
                  </div>
                </Flex>
              ))
            }
          </Flex>
          <div className={styles.title}>
            <img src={bg1} alt="" />
            <p>第十一届中国网络视的大会</p>
            <p>四川省第一届绿道健身运动会城市管理保障</p>
          </div>
        </div>
      </div>
    </div>
  )
}

export default Focus