import { useState } from 'react';

import { Flex, Progress, Space } from 'antd';
import classNames from 'classnames';
import styles from './index.less'

const WarningArea = () => {

  const [tabKey, setTabKey] = useState('1')

  const List = [
    {
      name: '街道1',
      value: 98.6,
      problemNum: 235,
      compare: 1.3,
      id: 1,
    },
    {
      name: '街道2',
      value: 88.6,
      problemNum: 200,
      compare: -1.3,
      id: 2,
    },
    {
      name: '街道3',
      value: 82.6,
      problemNum: 150,
      compare: 1.3,
      id: 3,
    },
    {
      name: '街道4',
      value: 82.6,
      problemNum: 150,
      compare: 1.3,
      id: 3,
    },
  ];

  const tabs = [
    {
      key: '1',
      name: '预警街道',
      value: 8
    },
    {
      key: '2',
      name: '预警道路',
      value: 8
    },
  ]

  return (
    <Flex gap={20} className={styles.wrap}>
      <Space direction='vertical' size={20}>
        {
          tabs.map(item => (
            <div
              className={classNames(styles.tabItem, { [styles.tabActive]: item.key === tabKey })}
              key={item.name}
              onClick={() => setTabKey(item.key)}
            >
              <div className={styles.name}>{item.name}</div>
              <span className={styles.value}>{item.value}</span>
            </div>
          ))
        }
      </Space>
      <div className={styles.listWrap}>
        {List.map((item, index) => {
          return (
            <div
              key={index}
              className={styles.listItem}
            >
              <div className={styles.itemName}>{item.name}</div>
              <div className={styles.progress}>
                <Progress
                  showInfo={false}
                  percent={50}
                  status="active"
                  size={{ height: 14 }}
                  trailColor="rgba(144, 205, 229, 0.22)"
                  strokeColor={{
                    from: 'rgb(255, 180, 180)',
                    to: 'rgb(242, 79, 79)',
                  }}
                />
              </div>
              <div>
                <Space>
                  <div
                    className={styles.itemValue}
                  >
                    {item.value}
                  </div>
                </Space>
              </div>
            </div>
          );
        })}
      </div>
    </Flex>
  )
}

export default WarningArea